PDA

View Full Version : Error: java compiler failed:


ahmadgee
04-22-2008, 09:17 AM
Hi every body,

I am new in BlackBery environment. So trying to run the "Hello World" first programme.

I have already in my system j2sdk1.4.2_10, Then I successfully installed BlackBery JDE 4.3.0.I wrote the code for my first "Hello World" programme as instructed in tutorial

But it is displaying the following error.

error: error reading ..\java\j2sdk1.4.2_10\bin\javac.exe; error in opening zip file
Error!: Error: java compiler failed: javac -source 1.3 -target 1.1
Error while building project

Thanks in advance
Best regards

jlangr
07-23-2008, 12:36 PM
I encountered a similar error, but my environment was working for a while before I received this error. It's a new project, so perhaps my problem has something to do with that. Please post any solutions you find, thanks!

nyte3k
07-23-2008, 01:26 PM
I'm not familiar with the JDE since i use the ecliplse plug in, but make sure your environment is compiling your source and running it as the same Java version. At least that's what it sounds like.

btw, this should be in developer forum. i'm sure a moderator will move it in a bit.